dpkg-parsechangelog(1)

BEZEICHNUNG
dpkg-parsechangelog - Debian-Changelog-Dateien auswerten

ÜBERSICHT
dpkg-parsechangelog [Option …]

BESCHREIBUNG
dpkg-parsechangelog liest den Changelog („Änderungsprotokoll“) eines entpackten Debian-Quellcodebaums ein, wertet dieses aus und gibt die Informationen in der Standardausgabe in maschinenlesbarer Form aus.

OPTIONEN

-l, --file Changelog-Datei
    Gibt die Changelog-Datei an, aus der Informationen gelesen werden sollen. Ein ‚-’ kann zur Angabe des Lesens von der Standardeingabe verwandt werden. Standardmäßig debian/changelog.

-F Changelog-Format
    Gibt das Format der Changelog-Datei an. Standardmäßig wird das Format aus einer speziellen Zeile in der Nähe des Endes der Changelogs gelesen oder, falls dies fehlschlägt, wird das debian-Standardformat angenommen. Siehe auch "CHANGELOG-FORMATE".

-L libverzeichnis
    Veraltete Option ohne Wirkung (seit Dpkg 1.18.8). Setzen der Perl-Umgebungsvariablen PERL5LIB oder PERLLIB hat eine ähnliche Wirkung, wenn nach Auswerter-Perl-Modulen gesucht wird.

-S, --show-field Feld
    Gibt den Namen des anzuzeigenden Feldes an (seit Dpkg 1.17.0). Der Feldname wird nicht angezeigt, nur sein Wert.

-?, --help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

  Auswerter-Optionen:
Die folgenden Optionen können verwendet werden, um die Ausgabe des Changelog-Auswerters zu beinflussen, z.B. den Bereich der Einträge oder das Format der Ausgabe.

--format Ausgabeformat
    Setzt das Ausgabeformat. Derzeit werden die Werte dpkg und rfc822 unterstützt. dpkg ist das klassische Ausgabeformat (es existiert länger als diese Option), das voreingestellt ist. Es besteht aus einem Absatz im Debian-Steuerformat (lesen Sie deb-control(5)). Falls mehr als ein Eintrag angefordert wird, dann werden die meisten Felder aus dem ersten Eintrag (normalerweise der neuste Eintrag) verwendet, falls dies nicht anders angegeben wird:

    Source: Paketname
        Der Quellpaketname.

    Version: Version
        Die Quellversionsnummer: Hinweis: Für rein-binäre Veröffentlichungen könnte es keine entsprechende Quellveröffentlichung geben.

    Distribution: Ziel-Distribution
        Eine Leerzeichen-getrennte Liste eines oder mehrerer Distributionsname(n), bei denen diese Version installiert werden sollte, wenn es hochgeladen wird.

    Urgency: Dringlichkeit
        Die höchste Dringlichkeit aller enthaltenen Einträge wird verwandt, gefolgt von den zusammengefügten (durch Leerzeichen getrennten) Kommentaren von allen angeforderten Versionen.

    Maintainer: Autor
        Der Name und die E-Mail-Adresse der Person, die diese Änderungen erstellt hat. Dies sind nicht notwendigerweise die Daten des Uploaders oder des normalen Paketbetreuers.

    Date: Datum
        Das Datum des Eintrags als Zeichenkette, wie es im Changelog erscheint. Mit dem Format strptime(3) „%a, %d %b %Y %T %z“, wobei der Wochentag nicht dem echten Tag aus dem Rest der Datumszeichenkette entsprechen könnte. Falls Sie eine genauere Darstellung des Datums benötigen, verwenden Sie das Feld Timestamp, beachten dabei aber, dass es nicht möglich sein könnte, es auf den genauen Wert in diesem Feld abzubilden.

    Timestamp: Zeitstempel
        Das Datum des Eintrags als Zeitstempel in Sekunden seit der Epoche (seit Dpkg 1.18.8).

    Closes: Fehlernummer
        Die Felder „Closes“ aller enthaltenen Einträge werden zusammengefasst.

    Changes: Changelog-Einträge
        Der Text aller Changelog-Einträge wird aneinandergehängt. Um aus diesem Feld ein gültiges mehrzeiliges Feld im Debian Steuer-Format zu bekomen, werden leere Zeilen durch einen einzelnen Satzpunkt ersetzt und alle Zeilen durch ein Leerzeichen eingerückt. Der genaue Inhalt hängt vom Changelog-Format ab.

    Die Felder Version, Distribution, Urgency, Maintainer und Changes sind verpflichtend.

    Es können zusätzliche benutzerdefinierte Felder vorhanden sein.

    Das rfc822-Format verwendet die gleichen Felder, gibt aber einzelne Absätze für jeden Changelog-Eintrag aus, so dass alle Metadaten für jeden Eintrag erhalten bleiben.

--reverse
    nimmt alle Änderungen in umgekehrter Reihenfolge auf (seit Dpkg 1.19.1).

    Hinweis: Für das dpkg-Format ist der erste Eintrag der älteste Eintrag.

--all
    nimmt alle Änderungen auf. Hinweis: Andere Optionen haben keine Wirkung, wenn diese verwandt wird.

-s, --since Version
-v Version
    fügt alle Änderungen neuer als aus Version hinzu.

-u, --until Version
    fügt alle Änderungen älter als aus Version hinzu.

-f, --from Version
    fügt alle Änderungen aus oder neuer als aus Version hinzu.

-t, --to Version
    fügt alle Änderungen aus oder älter als aus Version hinzu.

-c, --count Anzahl
-n Anzahl
    fügt Anzahl Einträge vom Kopf (oder vom Fuß, falls Anzahl negativ ist) hinzu.

-o, --offset Zahl
    ändert den Startpunkt für --count, gezählt vom Kopf (oder Fuß, falls Zahl negativ ist).

CHANGELOG-FORMATE
Es ist möglich, ein anderes als das Standardformat zu verwenden, indem ein Auswerter für dieses alternative Format bereitgestellt wird.

Damit dpkg-parsechangelog den neuen Auswerter ausführen kann, muss eine Zeile innerhalb der letzten 40 Zeilen der Changelog-Datei enthalten sein, die auf den folgenden regulären Perl-Ausdruck passt: „\schangelog-format:\s+([0-9a-z]+)\W“. Der Anteil in Klammern sollte der Name des Formats sein, beispielsweise:

    @@@ changelog-format: Anderesformat @@@

Changelog-Formatnamen sind alphanumerische Zeichenketten in Kleinschreibung („a-z0-9“), die nicht leer sein dürfen.

Falls eine solche Zeile existiert, wird dpkg-parsechangelog nach dem Auswerter als Perl-Modul Dpkg::Changelog::Anderesformat suchen. Es ist ein Fehler, wenn dieser nicht vorhanden ist. Die Großschreibung des Perl-Moduls erfolgt automatisch. Das Standard-Changelog-Format ist debian, hierfür wird standardmäßig ein Auswerter bereitgestellt.

Der Auswerter sollte von der Klasse Dpkg::Changelog abgeleitet sein und die benötigte dokumentierte Schnittstelle implementieren.

Falls das ausgewertete Changelog-Format immer oder fast immer eine Leerzeile zwischen einzelnen Änderungsnotizen lässt, sollten diese Leerzeilen herausgefiltert werden, so dass die entstehende Ausgabe kompakt wird.

Falls das Changelog-Format kein Datum oder keine Paketnamensinformationen enthält, sollte diese Information in der Ausgabe unterbleiben. Der Auswerter soll nicht versuchen, diese Daten künstlich zu ermitteln oder sie in anderen Quellen zu finden.

Falls der Changelog nicht das erwartete Format hat, sollte sich der Auswerter mit einem Fehler beenden, statt zu versuchen, sich irgendwie durchzuwurschteln und möglicherweise eine falsche Ausgabe zu erzeugen.

Ein Changelog-Auswerter darf nicht mit dem Benutzer interagieren.

BEMERKUNGEN
Alle Auswerter-Optionen außer -v werden seit Dpkg 1.14.16 unterstützt.

Das Auswerten kurzer Optionen mit nicht gebündelten Werten ist nur seit Dpkg-Version 1.18.0 verfügbar.

UMGEBUNG

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Unterstützung für Internationalisierung (oder i18n) bekannt, aktiviert wird (seit Dpkg 1.19.0). Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

DATEIEN

debian/changelog
    Die Changelog-Datei wird verwendet, um versionsabhängige Informationen über das Quellpaket, wie beispielsweise die Dringlichkeit („urgency“) und die Distribution des Uploads, die Änderungen seit einer bestimmten Veröffentlichung und die Quellversionsnummer selbst, zu erhalten.

FEHLER
Das Feld Maintainer hat einen verwirrenden Namen. Es vergleicht mit dem Feld in der Datei debian/control, verfügt aber nicht über die gleiche Semantik, bei der seine Bedeutung besser durch den in der Datei .changes verwandten Feldnamen Changed-By dargestellt würde.

SIEHE AUCH
deb-changelog(5).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2023 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.